SystemOrganization addCategory: #ConfigurationOfRTVoronyjDiagram!

Object subclass: #ConfigurationOfRTVoronyjDiagram
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRTVoronyjDiagram'!

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'development support' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'private' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'private' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'private' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'metacello tool support' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'loading' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'loading' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'loading' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'accessing' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
project

	^self new project! !

!ConfigurationOfRTVoronyjDiagram class methodsFor: 'development support' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRTVoronyjDiagram methodsFor: 'accessing' stamp: 'NataliaTymchuk 6/19/2014 14:21'!
baseline01: spec
	<version: '0.1-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/NataliaTymchuk/RTVoronyjDiagram/main'.
			spec
				package: 'RTVoronyjBuilder' with: [ 
					spec requires: #('Geometry') ];
				"package: 'RTPolygon' with: [ 
					spec requires: #('') ];
				package: 'TRPolygonShape ' with: [ 
					spec requires: #('') ];"
				package: 'ROMDSLayout' with: [
					spec requires: #('Roassal2' 'Math-DHB-NumericalExtensions') ].
			
			spec
				project: 'Roassal2'
				with: [ 
					spec
						className: 'ConfigurationOfRoassal2';
						version: #development;
						repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main' ].
					
			spec
				project: 'Geometry'
				with: [ 
					spec 
					className: 'ConfigurationOfGeometry';
					version: #development;
					repository:'http://smalltalkhub.com/mc/NataliaTymchuk/Geometry/main'].
					
			spec
				package: 'Math-DHB-Numerical'
				with: [ spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main' ].
				
			spec
				package: 'Math-DHB-NumericalExtensions'
				with: [ spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main';
					requires: 'Math-DHB-Numerical'].
			
			 ]! !

!ConfigurationOfRTVoronyjDiagram methodsFor: 'accessing' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfRTVoronyjDiagram methodsFor: 'accessing' stamp: 'NataliaTymchuk 5/14/2014 16:57'!
development: spec
  <symbolicVersion: #'development'>

  spec for: #'common' version: '0.1-baseline'! !

!ConfigurationOfRTVoronyjDiagram methodsFor: 'accessing' stamp: 'NataliaTymchuk 5/14/2014 16:56'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !
